# Method: projects.locations.frameworkComplianceSummaries.list

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/projects.locations.frameworkComplianceSummaries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/projects.locations.frameworkComplianceSummaries/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/projects.locations.frameworkComplianceSummaries/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/projects.locations.frameworkComplianceSummaries/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/projects.locations.frameworkComplianceSummaries/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/projects.locations.frameworkComplianceSummaries/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/projects.locations.frameworkComplianceSummaries/list#body.aspect_1)

Lists the framework compliance summary for a given scope.

### HTTP request

`GET https://cloudsecuritycompliance.googleapis.com/v1/{parent=projects/*/locations/*}/frameworkComplianceSummaries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent scope for the framework compliance summary. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The requested page size. The server might return fewer items than requested. If unspecified, the server picks an appropriate default. |
| `pageToken` | `string` Optional. A token that identifies the page of results that the server should return. |
| `filter` | `string` Optional. The filtering results. |
| `view` | ``enum (`https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/FrameworkComplianceSummaryView`)`` Optional. Specifies the level of detail to return in the response. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/ListFrameworkComplianceSummariesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `cloudsecuritycompliance.frameworkComplianceSummaries.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).